AWS Cloud Connectivity - Public Self Made - Update (PATCH)
This page documents the Update (PATCH) operation in the AWS Cloud Connectivity API. Use a valid JWT bearer token.
PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/cloudconnectors/publicselfmades/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN
Parameters
| Parameter | In | Required | Type / default |
|---|---|---|---|
id | path | Yes | string uuid |
projectId | path | Yes | string uuid |
Request body
| JSON field | Required | Type / notes |
|---|---|---|
name | No | string: cloud connector name |
state | No | string (DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, ERROR): cloud connector state |
bandwidth | No | integer int32: cloud connector bandwidth |
maxBandwidth | No | integer int32: cloud connector maximum bandwidth |
technicalVpnId | No | string uuid: network connector uuid associated with the cloud connector |
awsCredentialId | No | string uuid: aws credential uuid to be used to manage the cloud connector on aws |
networkSideAsn | No | integer int64: network side asn |
serviceLevel | No | string (Ha, Standard): service level of the cloud connector |
primaryPopLocalization | No | string: primary pop localization of the cloud connector |
secondaryPopLocalization | No | string: secondary pop localization of the cloud connector |
networkSideGatewaySubnetPrimary | No | string: primary network side gateway subnet |
networkSideGatewaySubnetSecondary | No | string: secondary network side gateway subnet |
targetGatewayId | No | string: virtual or transit gateway provisioned in AWS |
region | No | string: cloud connector AWS region |
Response
Successful response: 200. ok Response schema: object.